Processing: checkbox list in wrong order in Modeler

2016-05-18 07:24 PM - Jorge Santos

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.8.6 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22790

Description

When running a model in the processing framework that produces a stack of bands as input (Band1, Band2, Band3...) The sequence are

listed randomly in the Merge executing window (see pic).

I've tried models created under QGIS windows versions 2.6 / 2.8 / 2.10 and 2.12 without success. Version 2.0 works fine.

History

#1 - 2016-05-20 12:25 AM - Giovanni Manghi

- Assignee changed from Giovanni Manghi to Victor Olaya

#2 - 2016-05-24 09:22 AM - Alexander Bruy

It never worked in a such way in modeler. It is not possible to determine layers order in modeler.

#3 - 2016-05-24 10:26 AM - Jorge Santos

- File QGIS20_Processing_Merge_Right_Order.mp4 added

- File QGIS20_Merge_Multiple_Selection.png added

I'm not sure. Please see the attached files. The box shows in right order (QGIS 2.0 Dufour).

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

MergeInput_Wrong_order.png 65.9 KB 2016-05-18 Jorge Santos
Processing_Merge_wrong_Order.mp4 4.03 MB 2016-05-18 Jorge Santos

QGIS20_Merge_Multiple_Selection.png 180 KB 2016-05-24 Jorge Santos

QGIS20_Processing_Merge_Right_Order.mp4 1.44 MB 2016-05-24 Jorge Santos
